import { test, expect } from '@playwright/test';
import { LoginPage } from '../../../page-objects/LoginPage';

test.describe('Переходы по ссылкам в разделе авторизации', () => {

test('Переход по ссылке "Забыли пароль?"', async ({ page }) => {
  const loginPage = new LoginPage(page);
  await loginPage.goto();

  await loginPage.forgotPasswordLink.click();
  await expect(page).toHaveURL('https://ssas.dev.rdcenter.ru/recoverpassword');
  await expect(page.getByRole('heading', { name: 'Забыли пароль?' })).toBeVisible();
});

test('Переход по ссылке "Зарегистрируйтесь"', async ({ page }) => {
  const loginPage = new LoginPage(page);
  await loginPage.goto();

  await loginPage.goToRegisterPage();
  await expect(page).toHaveURL('https://ssas.dev.rdcenter.ru/login/registration');
  await expect(
  page.locator('div.Register_LoginTitle__vKsAB p', { hasText: 'Добро пожаловать' })
).toBeVisible();

});
});
